import logger from '../logger';
import { FlagService } from '../services/flag.service';
describe('Flag', () => {
    let flagService;
    let infoSpy;
    let configServiceSpy;
    beforeEach(() => {
        infoSpy = spyOn(logger, 'info').and.callFake(() => ({}));
        configServiceSpy = jasmine.createSpyObj('ConfigService', [
            'config',
            'separator',
            'getAlias',
            'setAlias',
            'save'
        ]);
        configServiceSpy.separator = '@';
        configServiceSpy.config.alias = {};
        configServiceSpy.getAlias.and.returnValue(undefined);
        configServiceSpy.setAlias.and.callFake(() => ({}));
        flagService = new FlagService(configServiceSpy, {});
        infoSpy.calls.reset();
    });
    it('should use invalid value for flag', async () => {
        await flagService.run(['-c', '-t']);
        expect(infoSpy).toHaveBeenCalledWith(`must specify a token`);
    });
});
