import { Flag } from './flag.js';
export class SyncFlag extends Flag {
    flag = {
        key: 'sync',
        short: 'sy',
        desc: 'backup/restore config from gist (default: restore)',
        run: (args, data) => this.sync(args, data)
    };
    mods = [
        {
            key: 'backup',
            short: 'b',
            desc: 'backup your current config',
            run: () => this.backup()
        },
        {
            key: 'restore',
            short: 'r',
            desc: 'restore latest config from gist',
            run: () => this.restore()
        }
    ];
    async sync(_, data = {}) {
        if (Object.values(data).length) {
            return;
        }
        await this.restore();
    }
    async restore() {
        await this.gistService.restore();
    }
    async backup() {
        await this.gistService.backup();
    }
}
