import path from 'path';
import { fileURLToPath } from 'url';
import logger from '../logger.js';
import { Flag } from './flag.js';
import { file } from '../utils/file.js';
export class VersionFlag extends Flag {
    flag = {
        key: 'version',
        short: 'v',
        desc: 'show version',
        run: () => this.version()
    };
    version() {
        const dirname = fileURLToPath(new URL('.', import.meta.url));
        const filePath = path.resolve(dirname, '..', '..', 'package.json');
        const pkg = JSON.parse(file.read(filePath));
        logger.info(pkg.version);
    }
}
